﻿using System;
using System.Windows.Data;
using System.Globalization;

namespace RotationalInertiaDemo
{
    public class MultiplierConverter : IValueConverter
    {
        public object Convert(object value, Type typeTarget,
                              object param, CultureInfo culture)
        {
            double multiplier = 1;

            if (value is double && param is string && Double.TryParse(param as string, out multiplier))
                return (double)value * multiplier;

            return value;
        }
        public object ConvertBack(object value, Type typeTarget,
                                  object param, CultureInfo culture)
        {
            return null;
        }
    }
}
